#!/usr/bin/Rscript --vanilla

in.file <- 'outcomes.csv'
out.file <- 'outcomes-subset.csv'

df <- read.csv(in.file, header=TRUE, stringsAsFactors=FALSE)

df <- df[(df$Preemptive == 'Yes' & df$PrCaseAsc == 0.65)
         | (df$Preemptive == 'No' & df$PrCaseAsc == 0.3), ]
df <- df[df$Preemptive != 'Yes' | df$Reactive != 'No', ]

write.csv(df, out.file, row.names=FALSE, quote=FALSE)
